www/p5-CGI-PSGI - The NetBSD Packages Collection

Perl 5 module to adapt CGI.pm to the PSGI protocol

The Perl 5 module CGI::PSGI is for web application framework
developers who currently uses CGI to handle query parameters, and
would like for the frameworks to comply with the PSGI protocol.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-CGI-PSGI-0.15nb10.tgz
NetBSD 8.0earmv7hfp5-CGI-PSGI-0.15nb9.tgz
NetBSD 8.0earmv7hfp5-CGI-PSGI-0.15nb10.tgz
NetBSD 8.0i386p5-CGI-PSGI-0.15nb9.tgz
NetBSD 8.0i386p5-CGI-PSGI-0.15nb10.tgz
NetBSD 8.0powerpcp5-CGI-PSGI-0.15nb9.tgz
NetBSD 8.0powerpcp5-CGI-PSGI-0.15nb10.tgz
NetBSD 8.0powerpcp5-CGI-PSGI-0.15nb10.tgz
NetBSD 8.0powerpcp5-CGI-PSGI-0.15nb10.tgz
NetBSD 8.0x86_64p5-CGI-PSGI-0.15nb9.tgz
NetBSD 8.0x86_64p5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0aarch64p5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0aarch64p5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0aarch64p5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0alphap5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0alphap5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0alphap5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0earmp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0earmp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0earmp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0earmv6hfp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0earmv6hfp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0earmv6hfp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0earmv7hfp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0earmv7hfp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0earmv7hfp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0earmv7hfp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0i386p5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0i386p5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0m68kp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0m68kp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0mips64ebp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0mips64ebp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0mips64ebp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0mips64ebp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0mips64ebp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0mipselp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0mipselp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0mipselp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0mipselp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0powerpcp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0powerpcp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0powerpcp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0powerpcp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0sh3elp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0sh3elp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0sh3elp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0sh3elp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0sparc64p5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0sparc64p5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0sparc64p5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0sparcp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0sparcp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0sparcp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0sparcp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0sparcp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0vaxp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0vaxp5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0vaxp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0vaxp5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0x86_64p5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0x86_64p5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0x86_64p5-CGI-PSGI-0.15nb9.tgz
NetBSD 9.0x86_64p5-CGI-PSGI-0.15nb10.tgz
NetBSD 9.0x86_64p5-CGI-PSGI-0.15nb10.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.